### Method

# GObject Value dup_variant

since: 2.26

#### Declaration [src]

    GVariant*
    g_value_dup_variant (
      const GValue* value
    )

#### Description [src]

Get the contents of a variant `GValue`, increasing its refcount. The returned `GVariant` is never floating.

Available since: 2.26

#### Return value

Type: `GVariant`

Variant contents of `value` (may be `NULL`); should be unreffed using `g_variant_unref()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.